#!/bin/ksh
# show data
for a in `ls cell/*`
do
echo $a 
rast=`basename $a`
echo $rast
d.mon select=x0
g.region rast=$rast
d.erase white
d.frame -e
d.rast $rast bg=white
d.vect roads color=black
d.frame -c title at=2,7,35,70
d.frame -s title
d.erase color=white
#d.text.freetype text="$rast" east_north=-130,41 font=Arial size=18 color=black
echo $rast | d.text size=98 color=black
# CELL time
export GRASS_HEIGHT=160
export GRASS_WIDTH=250
d.mon start=CELL select=CELL
d.erase white
d.frame -e
d.erase white
#
d.rast $rast bg=white
d.vect roads color=black
d.frame -c title at=2,7,35,70
d.frame -s title
d.erase color=white
#d.text.freetype text="$rast" east_north=-130,41 font=Arial size=18 color=black
echo $rast | d.text size=98 color=black
d.mon stop=CELL
sleep 5
g.region rast=D_cell
r.out.png D_cell output=$rast.png
done

#for b in `ls dig/*`
#do
#echo $b
#vect=`basename $b`
#d.vect $vect color=black
#done
